% Transient thermal simulation
close all
clear all
get_mesh;
% Full Order Model and snapshots storage
[Q_dof, Q_flux, K, M, Get_Flux] = thermique_transitoire(1,n,tri,PosNoeuds,Lbord,ech,'o');
%% POD reduced bases
epsilon_POD = 1.e-3
[V_POD,a_POD,erreur_POD] = POD(Q_dof, epsilon_POD);
N = size(V_POD,2)
[V_POD_flux,a_POD_flux,erreur_POD] = POD(Q_flux, epsilon_POD);
N_flux = size(V_POD,2)


% visualisation of few empirical modes
figure
trimesh(tri,PosNoeuds(:,1),PosNoeuds(:,2),V_POD(:,1))
title('Dof Mode 1')
figure
trimesh(tri,PosNoeuds(:,1),PosNoeuds(:,2),V_POD(:,2))
title('Dof Mode 2')
figure
trimesh(tri,PosNoeuds(:,1),PosNoeuds(:,2),V_POD(:,3))
title('Dof Mode 3')
figure
trimesh(tri,PosNoeuds(:,1),PosNoeuds(:,2),V_POD(:,4))
title('Dof Mode 4')
figure
trimesh(tri,PosNoeuds(:,1),PosNoeuds(:,2),V_POD(:,N))
title(['Dof Mode ', int2str(N)])

% First mode for flux, x component
dessinisoe(tri,PosNoeuds,V_POD_flux(1:2:2*size(tri,1),1))
title('Flux Mode 1')


