% Construction of the Reduced integration domain
disp('RID construction')
tic
[P_dof,F_dof] = deim(V_POD);
[P_flux,F_flux] = deim(V_POD_flux);
test = zeros(size(V_POD,1),1);
test(F_dof)=1;
qF = test;
for ie=1:size(tri,1)
    if max(abs(test(tri(ie,:)))) > 0.
        qF(tri(ie,:)) = 1;
    end
end
for ie=ceil(F_flux/2)
    qF(tri(ie,:)) = 1;
end
F = find(qF);
Omega_Z = [];
for ie=1:size(tri,1)
    if max(abs(qF(tri(ie,:)))) > 0.
        Omega_Z = [Omega_Z,ie];
    end
end
toc

figure
trimesh(tri(Omega_Z,:),PosNoeuds(:,1),PosNoeuds(:,2),zeros(size(PosNoeuds,1),1))
view(0,90)
title('RID')
hold on
plot(PosNoeuds(F,1),PosNoeuds(F,2),'r*')
plot(PosNoeuds(F_dof,1),PosNoeuds(F_dof,2),'k*')
pause(0.1)

mu = 5.;
disp('HROM')
tic
[Q_dof_ROM, Q_flux_ROM, K, M, Get_Flux] = hyperreduced_simulation(mu,n,tri(Omega_Z,:),PosNoeuds,Lbord,ech,'n',V_POD,F);
toc
disp('FEM')
tic
[Q_dof_mu, Q_flux_mu, K, M, Get_Flux]   =   thermique_transitoire(mu,n,tri,PosNoeuds,Lbord,ech,'n');
toc

Nt = min(size(Q_dof_ROM,2), size(Q_dof_mu,2));
DQ = Q_dof_ROM(:,1:Nt)-Q_dof_mu(:,1:Nt);
Approximation_error = sqrt(diag(DQ'*DQ)./diag(Q_dof_mu'*Q_dof_mu));
Total_approximation_error = norm(DQ)/norm(Q_dof_mu)
figure
semilogy(Approximation_error)
title('Time evolution of the approximation error')