function [Q_dof, Q_flux, K, M, Get_Flux] = thermique_transitoire(mu,n,tri,PosNoeuds,Lbord,ech,visu)

[K,M,Get_Flux] = assemblage(n,tri,PosNoeuds,2.4,1.,3.03e6);
% echange thermique sur le bord
h = mu;
K(Lbord,Lbord) = K(Lbord,Lbord) + h * diag(ones(length(Lbord),1));

Text = 25.;
To = 2400.;
F = zeros(n,1);
F(Lbord) = h * Text;

dt = 600.;
q = To * ones(n,1);
tf = 2*24*3600;
Up = chol(M/dt+K);
Q_dof  = q;
Q_flux = Get_Flux*q;
if visu == 'o'
  fig1 = figure
end
i = 0;
while max(abs(q)) > 0.1*To+Text
   i= i+1;
   q = Up\(Up'\(M/dt*q+F));  % M dq/dt + K q = F (Euler implicit scheme)
   phi = Get_Flux*q;
   Q_dof = [Q_dof,q];
   Q_flux = [Q_flux,phi];
   
   if visu == 'o'
     figure(fig1)
     trimesh(tri,PosNoeuds(:,1),PosNoeuds(:,2),q)
     axis([ech(1:4),Text,To])
     pause(0.1)
     if i==2
       phi_x = phi(1:2:length(phi));
       phi_y = phi(2:2:length(phi));
       phi_mag = sqrt( phi_x.^2 + phi_y.^2 );
       dessinisoe(tri,PosNoeuds,phi_mag)
     end
   end
end
